## org.eclipse.datatools.sqltools.plan.treeplan
Class TreePlanNodeComposite

    java.lang.Object
      org.eclipse.datatools.sqltools.plan.treeplan.TreePlanNodeComponent
          org.eclipse.datatools.sqltools.plan.treeplan.TreePlanNodeComposite

public class TreePlanNodeComposite
extends TreePlanNodeComponent

The composite node

Author:
  Dafan Yang

Constructor Summary
`TreePlanNodeComposite(java.lang.String name, java.lang.String tip, java.lang.String detail, java.lang.Object data, java.lang.String label1, boolean isLabel1Highlighted, java.lang.String label2, boolean isLabel2Highlighted, TreePlanNodeComponent parent)`

Method Summary
`void` `addChild(TreePlanNodeComponent child)` Adds child to this node, simply return if this node is a leaf
`TreePlanNodeComponent` `getChild(int index)` Returns the child at the given index (the index is based on 0)
`java.util.ArrayList` `getChildren()` Returns the children of this node, return `null` if this node is a leaf
`int` `getChildrenCount()` Returns the number of children

Methods inherited from class org.eclipse.datatools.sqltools.plan.treeplan.TreePlanNodeComponent
`getData, getDetail, getLabel1, getLabel2, getName, getParent, getToolTip, isLabel1Highlighted, isLabel2Highlighted, setData, setDetail, setLabel1, setLabel1Highlighted, setLabel2, setLabel2Highlighted, setName, setParent, setToolTip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreePlanNodeComposite

    public TreePlanNodeComposite(java.lang.String name,
                                 java.lang.String tip,
                                 java.lang.String detail,
                                 java.lang.Object data,
                                 java.lang.String label1,
                                 boolean isLabel1Highlighted,
                                 java.lang.String label2,
                                 boolean isLabel2Highlighted,
                                 TreePlanNodeComponent parent)

Method Detail

### getChildren

    public java.util.ArrayList getChildren()

  Description copied from class: `TreePlanNodeComponent`
  Returns the children of this node, return `null` if this node is a leaf

  Specified by:
    `getChildren` in class `TreePlanNodeComponent`
  Returns:
    the children of this node

### getChildrenCount

    public int getChildrenCount()

  Description copied from class: `TreePlanNodeComponent`
  Returns the number of children

  Specified by:
    `getChildrenCount` in class `TreePlanNodeComponent`
  Returns:
    the number of children

### getChild

    public TreePlanNodeComponent getChild(int index)

  Description copied from class: `TreePlanNodeComponent`
  Returns the child at the given index (the index is based on 0)

  Specified by:
    `getChild` in class `TreePlanNodeComponent`
  Parameters:
    `index` - the index
  Returns:
    the child at the given index

### addChild

    public void addChild(TreePlanNodeComponent child)

  Description copied from class: `TreePlanNodeComponent`
  Adds child to this node, simply return if this node is a leaf

  Specified by:
    `addChild` in class `TreePlanNodeComponent`
  Parameters:
    `child` - the child

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.